FLAC::Metadata::CueSheet class Reference

Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::CueSheet Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::CueSheet:

List of all members.

## Public Methods

| CueSheet ()
| CueSheet (::FLAC__StreamMetadata *object, bool copy)
| ~CueSheet ()
CueSheet & | assign (::FLAC__StreamMetadata *object, bool copy)
const char * | get_media_catalog_number () const
FLAC__uint64 | get_lead_in () const
bool | get_is_cd () const
unsigned | get_num_tracks () const
Track | get_track (unsigned i) const
void | set_media_catalog_number (const char value[128])
void | set_lead_in (FLAC__uint64 value)
void | set_is_cd (bool value)
void | set_index (unsigned track_num, unsigned index_num, const::FLAC__StreamMetadata_CueSheet_Index &index)
bool | insert_index (unsigned track_num, unsigned index_num, const::FLAC__StreamMetadata_CueSheet_Index &index)
| See FLAC__metadata_object_cuesheet_track_insert_index().
bool | delete_index (unsigned track_num, unsigned index_num)
| See FLAC__metadata_object_cuesheet_track_delete_index().
bool | set_track (unsigned i, const Track &track)
| See FLAC__metadata_object_cuesheet_set_track().
bool | insert_track (unsigned i, const Track &track)
| See FLAC__metadata_object_cuesheet_insert_track().
bool | delete_track (unsigned i)
| See FLAC__metadata_object_cuesheet_delete_track().
bool | is_legal (bool check_cd_da_subset=false, const char **violation=0) const
| See FLAC__metadata_object_cuesheet_is_legal().
| CueSheet (const CueSheet &object)
| CueSheet (const::FLAC__StreamMetadata &object)
| CueSheet (const::FLAC__StreamMetadata *object)
CueSheet & | operator= (const CueSheet &object)
CueSheet & | operator= (const::FLAC__StreamMetadata &object)
CueSheet & | operator= (const::FLAC__StreamMetadata *object)
bool | operator== (const CueSheet &object) const
bool | operator== (const::FLAC__StreamMetadata &object) const
bool | operator== (const::FLAC__StreamMetadata *object) const
bool | operator!= (const CueSheet &object) const
bool | operator!= (const::FLAC__StreamMetadata &object) const
bool | operator!= (const::FLAC__StreamMetadata *object) const

## Detailed Description

CUESHEET metadata block. See format specification.

## Constructor & Destructor Documentation

FLAC::Metadata::CueSheet::CueSheet | ( | const CueSheet & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::CueSheet::CueSheet | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::CueSheet::CueSheet | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::CueSheet::CueSheet | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

CueSheet& FLAC::Metadata::CueSheet::operator= | ( | const CueSheet & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

CueSheet& FLAC::Metadata::CueSheet::operator= | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

CueSheet& FLAC::Metadata::CueSheet::operator= | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

CueSheet& FLAC::Metadata::CueSheet::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

bool FLAC::Metadata::CueSheet::operator== | ( | const CueSheet & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::CueSheet::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::CueSheet::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::CueSheet::operator!= | ( | const CueSheet & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

bool FLAC::Metadata::CueSheet::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::CueSheet::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h